"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var linearconverter_1 = __importDefault(require("./src/linearconverter"));
var nestedconverter_1 = __importDefault(require("./src/nestedconverter"));
var paragraphconverter_1 = __importDefault(require("./src/paragraphconverter"));
var Converter = /** @class */ (function () {
    function Converter(options) {
        this.converters = [
            new linearconverter_1.default(),
            new nestedconverter_1.default(),
            new paragraphconverter_1.default(),
        ];
        this.options = options;
    }
    Converter.prototype.html2unity = function (input) {
        return this.convert(input, function (c, i) { return c.html2unity(i); });
    };
    Converter.prototype.unity2html = function (input) {
        return this.convert(input, function (c, i) { return c.unity2html(i); });
    };
    Converter.prototype.convert = function (input, func) {
        this.converters.forEach(function (converter) {
            input = func(converter, input);
        });
        return input;
    };
    return Converter;
}());
exports.default = Converter;
